/****************************************************************************
 *
 * 	SunPad Version 0.05
 *
 *	by Kurt Mahan
 *
 ***************************************************************************/

/****************************************************************************
 *
 *	Includes
 *
 ***************************************************************************/

#include 	<stdio.h>
#include	<signal.h>
#include	<suntool/sunview.h>
#include	<suntool/canvas.h>

#include	"types.h"

/****************************************************************************
 *
 * 	Externals
 *
 ***************************************************************************/

extern int	setBaud;
extern int	setType;
extern int	setBase;
extern int	setWidth;
extern int	setBatch;
extern char	setPort [];
extern char	setFont [];
extern BYTE	ttyMode;
extern Pixwin	*pw;
extern Frame	frame;

int	batchCount;

/****************************************************************************
 *
 * 	main ( argc, argv )
 *
 *	Main entry for pad
 *
 ***************************************************************************/

main ( argc, argv )

int	argc;
char	*argv[];

{
	int	value;
	int	i;

	CmdParse(argc,argv);

	InitText();

	GraphicsInit(setWidth,setPort);

	EtherInit();

	InitPad(False,setWidth,setType);

/*	WindowTitle(ttyMode); */

	batchCount = 0;

	window_main_loop(frame);

	EtherClose();
}
