/****************************************************************************
 *
 * 	PLATO Keyboard Include
 *
 ***************************************************************************/

/*
 *	Function Keys
 */

#define	SUPER		0x00		/* super */
#define	SUPER1		0x01		/* shifted super */
#define	SUB		0x02		/* subscript */
#define	SUB1		0x03		/* shifted subscript */
#define	ANS		0x04		/* ans */
#define	TERM		0x05		/* term */
#define	COPY		0x06		/* copy */
#define	COPY1		0x07		/* shifted copy */
#define	TAB		0x08		/* tab */
#define	CR		0x09		/* carriage return */
#define	ERASE		0x0a		/* erase */
#define	ERASE1		0x0b		/* shifted erase */
#define	MICRO		0x0c		/* micro  */
#define	FONT		0x0d		/* font */
#define	HELP		0x0e		/* help */
#define	HELP1		0x0f		/* shifted help */
#define	SQUARE		0x10		/* square */
#define	ACCESS		0x11		/* access */
#define	NEXT		0x12		/* next */
#define	NEXT1		0x13		/* shifted next */
#define	EDIT		0x14		/* edit */
#define	EDIT1		0x15		/* shifted edit */
#define	BACK		0x16		/* back */
#define	BACK1		0x17		/* shifted back */
#define	LAB		0x18		/* lab */
#define	LAB1		0x19		/* shifted lab */
#define	DATA		0x1a		/* data */
#define	DATA1		0x1b		/* shifted data */
#define	STOP		0x1c		/* stop */
#define	STOP1		0x1d		/* shifted stop */
#define	SPACE		0x1e		/* space */
#define	BACKSP		0x1f		/* shifted space */

/*
 *	Keyboard State Definitions
 */

#define	SHIFTED		0x01		/* shifted state */
#define	ALTED		0x02		/* alternate state */

